<%@ Page Language="C#" AutoEventWireup="true" EnableEventValidation="false" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">
        function SelectAll(headerCheckBox) {
            //Get the reference of GridView.
            var GridView = headerCheckBox.parentNode.parentNode.parentNode;

            //Loop through all GridView Rows except first row.
            for (var i = 1; i < GridView.rows.length; i++) {
                //Reference the CheckBox.
                var checkBox = GridView.rows[i].cells[0].getElementsByTagName("input")[0];

                //If CheckBox is checked, change background color the GridView Row.
                if (headerCheckBox.checked) {
                    checkBox.checked = true;
                    GridView.rows[i].className = "selected";
                } else {
                    checkBox.checked = false;
                    GridView.rows[i].className = "";
                }
            }
        }
    </script>
    <script type="text/javascript">
        function SelectOne(chk) {
            //Reference the GridView Row.
            var row = chk.parentNode.parentNode;

            //Get the reference of GridView.
            var GridView = row.parentNode;

            //Reference the Header CheckBox.
            var headerCheckBox = GridView.rows[0].cells[0].getElementsByTagName("input")[0];

            //If CheckBox is checked, change background color the GridView Row.
            if (chk.checked) {
                row.className = "selected";
            } else {
                row.className = "";
            }

            var checked = true;

            //Loop through all GridView Rows.
            for (var i = 1; i < GridView.rows.length; i++) {
                //Reference the CheckBox.
                var checkBox = GridView.rows[i].cells[0].getElementsByTagName("input")[0];
                if (!checkBox.checked) {
                    checked = false;
                    break;
                }
            }

            headerCheckBox.checked = checked;
        };
    </script>
    <script type="text/javascript">
        function MouseOver(row) {
            //Hightlight GridView Row if not selected.
            if (!row.cells[0].getElementsByTagName("input")[0].checked) {
                row.className = "hover";
            }
        }
        function MouseLeave(row) {
            //Remove Hightlight from GridView Row if not selected.
            if (!row.cells[0].getElementsByTagName("input")[0].checked) {
                row.className = "";
            }
        }
    </script>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
        table { border: 1px solid #ccc; border-collapse: collapse; }
        table th { background-color: #F7F7F7; color: #333; font-weight: bold; }
        table th, table td { padding: 5px; border: 1px solid #ccc; }
        .hover { background-color: #B8DBFD; }
        .selected { background-color: #ffd800; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="false" OnRowDataBound="OnRowDataBound">
            <Columns>
                <asp:TemplateField>
                    <HeaderTemplate>
                        <asp:CheckBox ID="chkAll" runat="server" onclick="SelectAll(this)" />
                    </HeaderTemplate>
                    <ItemTemplate>
                        <asp:CheckBox ID="chk" runat="server" onclick="SelectOne(this)" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="Id" HeaderText="Customer Id" />
                <asp:BoundField DataField="Name" HeaderText="Name" />
                <asp:BoundField DataField="Country" HeaderText="Country" />
            </Columns>
        </asp:GridView>
    </form>
</body>
</html>
